Loading...
Searching...
No Matches
PointSolver.h File Reference
`#include "gridfire/solver/strategies/strategy_abstract.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/types/types.h"`
`#include "gridfire/exceptions/exceptions.h"`
`#include "gridfire/config/config.h"`
`#include "fourdst/atomic/atomicSpecies.h"`
`#include "fourdst/config/config.h"`
`#include <functional>`
`#include <any>`
`#include <string>`
`#include <vector>`
`#include <tuple>`
`#include <cvode/cvode.h>`
`#include <sundials/sundials_types.h>`
`#include <sundials/sundials_context.h>`
`#include <sunmatrix/sunmatrix_dense.h>`
`#include <sunlinsol/sunlinsol_dense.h>`
`#include <nvector/nvector_serial.h>`
Include dependency graph for PointSolver.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | gridfire::solver::PointSolverTimestepContext
struct | gridfire::solver::PointSolverContext
class | gridfire::solver::PointSolver
| Stiff ODE integrator backed by SUNDIALS CVODE (BDF) for network + energy. More...
struct | gridfire::solver::PointSolver::CVODEUserData
| A helper struct to pass C++ context to C-style CVODE callbacks. More...
struct | gridfire::solver::PointSolver::CVODERHSOutputData

## Namespaces

namespace | gridfire
namespace | gridfire::solver

## Typedefs

using | gridfire::solver::TimestepCallback = std::function<void(const PointSolverTimestepContext& context)>
| Type alias for a timestep callback function.